export declare function loggerCreate(componentName: any, logLevel?: any): LoggerClass;
declare class LoggerClass {
    private ComponentName;
    private logLevels;
    private globalLogLevel;
    private componentLogLevels;
    private componentName;
    private maxLogs;
    private sessionStartMessage;
    constructor(ComponentName: any);
    get nativeWindow(): any;
    storageGet(key: any): any;
    storageSet(key: any, data: any): void;
    isFire(level: any): boolean;
    addZero: (num: number) => string;
    getReadableTime(date: Date): string;
    createMessagePrefix(logItem: any): string;
    setLevel(level: any): void;
    setDefaultLevel(): void;
    colored(message: any, color: any): void;
    info(): void;
    log(): void;
    warn(): void;
    error(): void;
    saveAndDraw(level: any, messages: any, style: any): void;
    drawDiagnose(logs: any): void;
    drawItem(logItem: any): void;
}
export {};
